%global _empty_manifest_terminate_build 0
Name:		python-rdflib
Version:	6.3.2
Release:	1
Summary:	RDFLib is a Python library for working with RDF, a simple yet powerful language for representing information.
License:	BSD-3-clause
URL:		https://github.com/RDFLib/rdflib
Source0:	https://files.pythonhosted.org/packages/c8/28/4d1f27c5d73f58e567ca1a14a4eab7d7978a09c4e117687f9f6c216d3366/rdflib-6.3.2.tar.gz
Source1:	setup.py
Source2:	setup.cfg
BuildArch:	noarch

Requires:	python3-isodate
Requires:	python3-pyparsing
Requires:	python3-setuptools
Requires:	python3-importlib-metadata
Requires:	python3-berkeleydb
Requires:	python3-black
Requires:	python3-flake8
Requires:	python3-isort
Requires:	python3-mypy
Requires:	python3-pep8-naming
Requires:	python3-types-setuptools
Requires:	python3-flakeheaven
Requires:	python3-myst-parser
Requires:	python3-sphinx
Requires:	python3-sphinxcontrib-apidoc
Requires:	python3-sphinxcontrib-kroki
Requires:	python3-sphinx-autodoc-typehints
Requires:	python3-html5lib
Requires:	python3-networkx
Requires:	python3-html5lib
Requires:	python3-pytest
Requires:	python3-pytest-cov

%description
RDFLib is a Python library for working with
RDF, a simple yet powerful language for representing information.

%package -n python3-rdflib
Summary:	RDFLib is a Python library for working with RDF, a simple yet powerful language for representing information.
Provides:	python-rdflib = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-rdflib
RDFLib is a Python library for working with
RDF, a simple yet powerful language for representing information.

%package help
Summary:	Development documents and examples for rdflib
Provides:	python3-rdflib-doc
%description help
Development documents and examples for rdflib

%prep
%autosetup -n rdflib-%{version}
cp %{SOURCE1} %{SOURCE2} ./

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-rdflib -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Apr 11 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 6.3.2-1
- Update package to version 6.3.2

* Fri Apr 7 2023 wubijie <wubijie@kylinos.cn> - 6.3.0-1
- Update package to version 6.3.0

* Mon Aug 01 2022 liqiuyu <liqiuyu@kylinos.cn> - 6.2.0-1
- update to 6.2.0

* Sat Feb 20 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
